CRMchat APIBeta
Telegram APIPhone

phone.saveDefaultSendAs

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/phone.saveDefaultSendAs

Save the default peer displayed as the author of live story comments and reactions, see in-call messages ». It cannot be used for normal video chats/livestreams, where in-call messages are sent as the peer used to join the call (join_as).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Save the default peer displayed as the author of live story comments and reactions, see in-call messages ». It cannot be used for normal video chats/livestreams, where in-call messages are sent as the peer used to join the call (join_as).

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.saveDefaultSendAs" \  -H "Content-Type: application/json" \  -d '{    "params": {      "call": {        "_": "inputGroupCall",        "id": "string",        "accessHash": "string"      },      "sendAs": {        "_": "inputPeerEmpty"      }    }  }'
{  "result": true}